# Generated by Django 4.1.5 on 2024-02-13 15:45

from datetime import date
from django.conf import settings
from django.db import migrations


def fill_holidays(apps, schema_editor):
    Holiday = apps.get_model("web", "Holiday")
    User = apps.get_model(settings.AUTH_USER_MODEL)
    # Holiday.objects.bulk_create(
    #     [
    #         Holiday(date=date(2023, 12, 31), user=User.objects.first()),
    #         Holiday(date=date(2024, 1, 1), user=User.objects.first()),
    #     ]
    # )


def reverse_func(apps, schema_editor):
    Holiday = apps.get_model("web", "Holiday")
    Holiday.objects.all().delete()


class Migration(migrations.Migration):
    dependencies = [
        ("web", "0004_alter_timeslot_options_alter_timeslottag_options_and_more"),
    ]

    operations = [
        migrations.RunPython(fill_holidays, reverse_func),
    ]
